From 46500c1768cc86a4ba8ee514f7a5f0db4d1bd6cf Mon Sep 17 00:00:00 2001
From: Dave Cramer <davecramer@gmail.com>
Date: Mon, 20 Mar 2023 14:24:29 -0400
Subject: [PATCH 2/2] style issues with //

---
 src/backend/commands/variable.c | 12 ++++++------
 src/backend/tcop/pquery.c       |  2 +-
 2 files changed, 7 insertions(+), 7 deletions(-)

diff --git a/src/backend/commands/variable.c b/src/backend/commands/variable.c
index efee3ac3e1..344ef8bbcb 100644
--- a/src/backend/commands/variable.c
+++ b/src/backend/commands/variable.c
@@ -1194,9 +1194,9 @@ check_format_binary( char **newval, void **extra, GucSource source)
 		if (candidate > OID_MAX)
 			GUC_check_errdetail("OID out of range found in %s, %s", *newval, token);
 
-		// atooid will return 0 aka InvalidOid if it can't convert the string or 0
-		// if it's really 0
-		if (candidate == InvalidOid)
+		/* atooid will return 0 aka InvalidOid if it can't convert the string or 0
+		 if it's really 0 */
+ 		if (candidate == InvalidOid)
 		{
 			if (errno == EINVAL)
 				GUC_check_errdetail("%s has invalid characters at %s",
@@ -1214,7 +1214,7 @@ check_format_binary( char **newval, void **extra, GucSource source)
 void
 assign_format_binary(const char *newval, void *extra)
 {
-	// check for errors or nothing to do
+	/* check for errors or nothing to do */
 	if (newval == NULL || strcmp(newval, "") == 0)
 		return;
 
@@ -1224,9 +1224,9 @@ assign_format_binary(const char *newval, void *extra)
 	/* Must save OID list in permanent storage. */
 	MemoryContext oldcxt = MemoryContextSwitchTo(TopMemoryContext);
 
-	// unlikely to have more than 16
+	/* unlikely to have more than 16 */
 	int length = 16;
-	// +1 for the InvalidOid marker at the end
+	/**/ +1 for the InvalidOid marker at the end */
 	Oid *tmpOids = palloc(sizeof(Oid)*(length+1));
 	int i = 0;
 
diff --git a/src/backend/tcop/pquery.c b/src/backend/tcop/pquery.c
index dd0afc6674..71f95540d7 100644
--- a/src/backend/tcop/pquery.c
+++ b/src/backend/tcop/pquery.c
@@ -651,7 +651,7 @@ PortalSetResultFormat(Portal portal, int nFormats, int16 *formats)
 	}
 	else if (nFormats > 0)
 	{
-		// The client has requested binary formats for some types
+		/* The client has requested binary formats for some types */
 		if ( binary_format_oids != NULL )
 		{
 			Oid targetOid;
-- 
2.37.1 (Apple Git-137.1)

